Subject: bug#32939: 27.0.50; Don't reject confusable quotes, just fontify & mention them in error messages

From: Noam Postavsky <[email-masked]>
Date: Thu, 28 Nov 2019 18:25:33 -0500

tags 32939 fixed
close 32939 27.1
quit

Noam Postavsky <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> If I read this thread correctly, the change was accepted, but never
>> applied (as far as I can tell).  Noam, were there any further changes
>> you wanted to make before applying it?
>
> No, I just happened to take a long break from Emacs development soon after
> posting this and it's been sitting since then.  It better go in before
> the pretest though, I'll push today or tomorrow.

Done.

[1: b2790db049]: 2019-11-28 18:10:07 -0500
  Improve errors & warnings due to fancy quoted vars (Bug#32939)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=b2790db049da98b541d07bac21ca7d7c220d3be0

[2: 85f586f3ce]: 2019-11-28 18:03:42 -0500
  Stop signaling an error when reading "smart quotes" in symbols
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=85f586f3ce5c6d9598d345440fd57e0fc9b8d98b